astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Data Tables (`astropy.table`) »
- JSViewer

# JSViewer

class `astropy.table.``JSViewer`(use_local_files=False, display_length=50)

  Bases: `object`

  Provides an interactive HTML export of a Table.

  This class provides an interface to the DataTables library, which allow to visualize interactively an HTML table. It is used by the `show_in_browser` method.

  Parameters:

  use_local_files : bool, optional

  > Use local files or a CDN for JavaScript libraries. Default False.

  display_length : int, optional

  > Number or rows to show. Default to 50.

  Attributes Summary

  `css_urls` |
  `jquery_urls` |

  Methods Summary

  `html_js`([table_id]) |
  `ipynb`(table_id[, css]) |

  Attributes Documentation

  `css_urls`
  `jquery_urls`

  Methods Documentation

  `html_js`(table_id='table0')
  `ipynb`(table_id, css=None)